2019-12-09 21:24 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001656FSSCPFREDpublic2008-05-15 18:43
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001656: Replace data -> <argument> can be used with a numeric variable resulting in crash
DescriptionWhen using when-argument or every-time-argument modify variable will allow you to pick <argument> to assign to a numeric variable. This results in an immediate crash. I was trying the idea from this thread: http://www.hard-light.net/forums/index.php/topic,53155.0.html

Event was:

every-time-argument
-->rand-multiple-of
---->1
---->2
......
---->7
-->=
---->wing(0)
---->0
-->modify-variable
---->wing(0)
----> <argument>

As soon as argument was selected FRED crashed.


Additional InformationOriginally found in TBP 3.6.9 inferno version of FRED but confirmed in 3.6.10 trunk build dated 04/03.
TagsNo tags attached.
Attached Files
  • txt file icon argument_error.txt (727 bytes) 2008-04-06 05:19 -
    Assert: list
    File: sexp_tree.cpp
    Line: 2452
    
    
    Call stack:
    ------------------------------------------------------------------
        fred2_open_trunk_d.exe 009a5801()
        fred2_open_trunk_d.exe 009a5784()
        fred2_open_trunk_d.exe 009a32d9()
        fred2_open_trunk_d.exe 009a37c5()
        USER32.dll 7e418734()
        USER32.dll 7e418816()
        USER32.dll 7e4189cd()
        USER32.dll 7e4196c7()
        fred2_open_trunk_d.exe 009af2fa()
        fred2_open_trunk_d.exe 009ae94f()
        fred2_open_trunk_d.exe 009ad6da()
        fred2_open_trunk_d.exe 009b4fee()
        fred2_open_trunk_d.exe 008834f8()
        fred2_open_trunk_d.exe 00835326()
        kernel32.dll 7c816fd7()
    ------------------------------------------------------------------
    
    txt file icon argument_error.txt (727 bytes) 2008-04-06 05:19 +
  • log file icon argument_fs2_open.log (24,254 bytes) 2008-04-06 05:19

-Relationships
+Relationships

-Notes

~0009335

karajorma (administrator)

As I thought this one is caused by the fact that <argument>s are strings but you're sticking them into a numeric variable. Obviously this doesn't make the slightest bit of sense and the game asserts or crashes as a result.

The FREDding solution is to use the string-to-int SEXP to convert from one to the other. It's currently hiding in the training SEXP section for some reason I still don't understand but I'll move it soon enough.

The coding solution is to stop FRED allowing you to stick a string <argument> into a numeric variable.

~0009336

karajorma (administrator)

Changed my mind. You can still use the argument with the variable and now it shouldn't crash.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-06 05:19 FUBAR-BDHR New Issue
2008-04-06 05:19 FUBAR-BDHR File Added: argument_error.txt
2008-04-06 05:19 FUBAR-BDHR File Added: argument_fs2_open.log
2008-05-15 16:18 karajorma Note Added: 0009335
2008-05-15 16:18 karajorma Status new => assigned
2008-05-15 16:18 karajorma Assigned To => karajorma
2008-05-15 18:43 karajorma Status assigned => resolved
2008-05-15 18:43 karajorma Fixed in Version => 3.6.10
2008-05-15 18:43 karajorma Resolution open => fixed
2008-05-15 18:43 karajorma Note Added: 0009336
+Issue History